﻿using System.Windows.Input;

namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 저장 명령 - SaveCommand

    /// <summary>
    /// 저장 명령
    /// </summary>
    public ICommand SaveCommand { private set; get; }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        SaveCommand = new Command
        (
            execute : async () =>
            {
                await DisplayAlert("INFORMATION", "파일을 저장했습니다.", "확인");
            }
        );

        BindingContext = this;
    }

    #endregion
}